This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 853552 - ctags is quite stale
ctags is quite stale
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ctags (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 16:15 EDT by Adam Jackson
Modified: 2015-02-18 08:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:45:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2012-08-31 16:15:38 EDT
There's not been an upstream ctags release in a few years, but the subversion repo has been fairly active.  For example, attempting to run the openbsd cvs tree through Fedora's ctags will crash, but subversion ctags works fine.  Can we consider updating to a more recent snapshot?
Comment 1 Ngo Than 2012-10-18 16:28:03 EDT
sure, i will consider it, thanks
Comment 2 Fedora End Of Life 2013-04-03 15:46:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Masatake YAMATO 2014-10-15 01:06:09 EDT
I'm working on this area at the forked project named fishman/ctags.
(https://github.com/fishman/ctags.)

Major improvment is listed in https://github.com/fishman/ctags/blob/master/docs/f-news.rst .

After repairing its build system(maintainer.mak), I will create a rpm package using copr. Could you evaluate it?

I will report again.
Comment 4 Ngo Than 2014-10-23 10:49:18 EDT
> I'm working on this area at the forked project named fishman/ctags.
> (https://github.com/fishman/ctags.)
> 
> Major improvment is listed in
> https://github.com/fishman/ctags/blob/master/docs/f-news.rst .
> 
> After repairing its build system(maintainer.mak), I will create a rpm
> package using copr. Could you evaluate it?
> 
> I will report again.

Sure, i will do.
Comment 5 Fedora End Of Life 2015-01-09 17:00:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 08:45:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.